%bcond_without  python3

%global srcname productmd

Name:           python-%{srcname}
Version:        1.22
Release:        3.20191025git017d8302%{?dist}
Summary:        Library providing parsers for metadata related to OS installation

License:        LGPLv2+
URL:            https://github.com/release-engineering/productmd
Source0:        productmd-017d8302.tar

BuildArch:      noarch

%global _description\
Python library providing parsers for metadata related to composes\
and installation media.

%description %_description

%package -n python2-%{srcname}
Summary:        %summary
Obsoletes:      productmd <= %{version}-%{release}
Provides:       productmd = %{version}-%{release}
BuildRequires:  python2-devel
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six
%else
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
Requires:       python2-six
%endif
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{srcname} %_description
%endif

%prep
%setup -q -n productmd

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} ./setup.py test

%if 0%{?with_python3}
%{__python3} ./setup.py test
%endif

%files -n python2-%{srcname}
%license LICENSE
%doc AUTHORS
%{python2_sitelib}/productmd/
%{python2_sitelib}/productmd-%{version}-py*.*.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS
%{python3_sitelib}/productmd/
%{python3_sitelib}/productmd-%{version}-py*.*.egg-info
%endif

%changelog
* Fri Oct 25 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.22-3.20191025git017d8302
- Update to git: 017d8302

* Tue Sep 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.22-2.20190910gitf17dd173
- Update to git: f17dd173

* Wed Sep 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.22-1.20190904gitc4df3e81
- Update to git: c4df3e81

* Wed Sep 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.21-15.20190904gitd9bedb6c
- Update to git: d9bedb6c

* Wed Sep 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-14.20190904gitd9bedb6c
- Update to git: d9bedb6c

* Mon Apr 15 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-13.20190415git49256bf2
- Update to git: 49256bf2

* Wed Mar 20 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-12.20190320git196c75af
- Update to git: 196c75af

* Mon Mar 11 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-11.20190311gita8268944
- Update to git: a8268944

* Tue Mar 05 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-10.20190305git186166fe
- Update to git: 186166fe

* Thu Jan 24 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-9.20190124gitfe20b821
- Update to git: fe20b821

* Thu Jan 24 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-8.20190124git6e70821f
- Update to git: 6e70821f

* Thu Jan 24 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-7.20190124git114e0fb8
- Update to git: 114e0fb8

* Mon Jan 07 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-6.20190107git2d40c8d4
- Update to git: 2d40c8d4

* Fri Jan 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.17-5.20190104gite4c1568f
- Update to git: e4c1568f

* Mon Nov 26 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.17-4.20181126git533737ba
- Update to git: 533737ba

* Fri Nov 09 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.17-3.20181109git90d691bb
- Update to git: 90d691bb

* Tue Oct 30 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.17-2.20181030gitb8df169d
- Update to git: b8df169d

* Fri Oct 05 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.17-1.20181005git131823c8
- Update to git: 131823c8

* Fri Oct 05 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-10.20181005git131823c8
- Update to git: 131823c8

* Tue Jul 24 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-9.20180724gitd822dd81
- Update to git: d822dd81

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-8.20180711gitf3171a17
- Update to git: f3171a17

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-7.20180711gitf3171a17
- Update to git: f3171a17

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-6.20180711gitf3171a17
- Update to git: f3171a17

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-5.20180711gitf3171a17
- Update to git: f3171a17

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-4.20180711gitf3171a17
- Update to git: f3171a17

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-3.20180711gitf3171a17
- Update to git: f3171a17

* Tue Jul 10 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-2.20180710git681ba919
- Update to git: 681ba919

* Mon Jun 25 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.16-1.20180625git681ba919
- Update to git: 681ba919

* Fri Jun 22 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.15-2.20180622git681ba919
- Update to git: 681ba919

* Wed Jun 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.15-1.20180620git423e6a16
- Update to git: 423e6a16

* Wed Jun 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.14-4.20180620git423e6a16
- Update to git: 423e6a16

* Wed Jun 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.14-3.20180620gitd4676a17
- Update to git: d4676a17

* Tue Jun 19 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.14-2.20180619gitd92d60d9
- Update to git: d92d60d9

* Mon May 14 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.14-1.20180514gitcb6fbc98
- Update to git: cb6fbc98

* Fri May 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.13-2.20180511gitcb6fbc98
- Update to git: cb6fbc98

* Thu May 10 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.13-1.20180510gitd77d38e8
- Update to git: d77d38e8

* Mon May 07 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.12-2.20180507git29340a3c
- Update to git: 29340a3c

* Mon May 07 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.9-6.20180507git29340a3c
- Update to git: 29340a3c

* Thu Mar 29 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.9-5.20180329gitfac7c225
- Update to git: fac7c225

* Wed Feb 07 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.9-4.20180207git4e9e25fb
- Update to git: 4e9e25fb

* Wed Jan 17 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.9-3.20180117git8aeff2ed
- Update to git: 8aeff2ed

* Wed Oct 25 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.9-2.20171025git92fe4caf
- Update to git: 92fe4caf

* Tue Oct 24 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.9-1.20171024git8a2a4322
- Update to git: 8a2a4322

* Tue Oct 24 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.8-2.20171024git8a2a4322
- Update to git: 8a2a4322

* Wed Oct 11 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.8-1.20171011gitf7118995
- Update to git: f7118995

* Wed Oct 11 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.7-5.20171011git4361439b
- Update to git: 4361439b

* Wed Oct 04 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.7-4.20171004git1594ef06
- Update to git: 1594ef06

* Mon Aug 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.7-3.20170821git83da547e
- Update to git: 83da547e

* Mon Jul 31 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.7-2.20170731gitcac487fd
- Update to git: cac487fd

* Wed Apr 19 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.7-1.20170419git345dc929
- Update to git: 345dc929

* Wed Apr 19 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.6-2.20170419git345dc929
- Update to git: 345dc929

* Thu Apr 06 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.6-1.20170406gitf4d57258
- Update to git: f4d57258

* Thu Apr 06 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.5-3.20170406gitf4d57258
- Update to git: f4d57258

* Tue Apr 04 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.5-2.20170404gitf0cd5b18
- Update to git: f0cd5b18

* Tue Apr 04 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-10.20170404git5fa594bb
- Update to git: 5fa594bb

* Mon Mar 27 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-9.20170327git46f86b8b
- Update to git: 46f86b8b

* Mon Mar 13 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-8.20170313gitce83ca68
- Update to git: ce83ca68

* Mon Mar 06 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-7.20170306git19912c28
- Update to git: 19912c28

* Thu Feb 16 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-6.20170216gita0d62183
- Update to git: a0d62183

* Thu Feb 16 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-5.20170216gita0d62183
- Update to git: a0d62183

* Thu Feb 16 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-4.20170216gita0d62183
- Update to git: a0d62183

* Thu Feb 16 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-3.20170216gita0d62183
- Update to git: a0d62183

* Wed Feb 08 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-2.20170208gite33c8de6
- Update to git: e33c8de6

* Tue Jan 10 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.4-1.20170110gite33c8de6
- Update to git: e33c8de6

* Tue Jan 10 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.3-9.20170110gite33c8de6
- Update to git: e33c8de6

* Mon Jan 09 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.3-8.20170109gitb5e93992
- Update to git: b5e93992

* Thu Jan 05 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.3-7.20170105gitcca32f4b
- Update to git: cca32f4b

* Mon Jan 02 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.3-6.20170102git53166f95
- Update to git: 53166f95

* Thu Dec 08 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.3-5.20161208gita5d4269c
- Update to git: a5d4269c

* Thu Dec 08 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.3-4.20161208gita5d4269c
- Update to git: a5d4269c

* Thu Nov 24 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.3-3.20161124gitbe0bb8e4
- Update to git: be0bb8e4

* Wed Nov 23 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.3-2.20161123gitdb3d62d9
- Update to git: db3d62d9

* Wed Nov 23 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.3-1.20161123git2673df96
- Update to git: 2673df96

* Wed Nov 23 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-17.20161123git9d39657d
- Update to git: 9d39657d

* Wed Nov 23 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-16.20161123git3e01d417
- Update to git: 3e01d417

* Tue Nov 22 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-15.20161122git1f73b9d8
- Update to git: 1f73b9d8

* Wed Nov 16 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-14.20161116gitb8041100
- Update to git: b8041100

* Mon Oct 10 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-13.20161010git34519b49
- Update to git: 34519b49

* Mon Oct 10 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-12.20161010git9ba9a615
- Update to git: 9ba9a615

* Thu Oct 06 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-11.20161006git83bb7630
- Update to git: 83bb7630

* Wed Sep 21 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-10.20160921gite1e33d0d
- Update to git: e1e33d0d

* Tue Sep 20 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-10.20160920gite1e33d0d
- Update to git: e1e33d0d

* Wed Sep 14 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-9.20160914git0ffdc9f2
- Update to git: 0ffdc9f2

* Thu Sep 01 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-8.20160901git6e2ee96c
- Update to git: 6e2ee96c

* Thu Aug 25 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-7.20160825git45dab035
- Update to git: 45dab035

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-6.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-5.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-4.20160804xit49e2x4d5.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-4.20160804xit49e2x4d5.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-4.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-3.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.2-2.20160804git49e2c4d5
- Update to git: 49e2c4d5

* Thu Jun 02 2016 Lubomír Sedlář <lsedlar@redhat.com> - 1.2-1
- New upstream release
- Update source url to point to PyPI
- Allow numbers in variant IDs. (dmach)
- Add support for top-level variant UIDs with dashes. (dmach)
- Change JSON separators to unify behavior on py2 and py3. (dmach)
- Move src images under binary arches. (dmach)
- Silence flake8 by moving module imports to top. (dmach)
- Forbid 'src' arch in images.json and rpms.json. (dmach)
- Include tests/images data in MANIFEST.in. (dmach)
- Add docstring to Header class (lsedlar)

* Mon Apr 25 2016 Lubomír Sedlář <lsedlar@redhat.com> - 1.1-1
- new upstream release
- use .tar.gz tarball from github
- removed patches as they are merged upstream

* Fri Mar 11 2016 Dennis Gilmore <dennsi@ausil.us> - 1.0-13
- add patch for supporting subvariant

* Thu Feb 18 2016 Dennis Gilmore <dennis@ausil.us> - 1.0-12
- add a patch to make rawhide as a version consistently an option

* Thu Feb 18 2016 Dennis Gilmore <dennis@ausil.us> - 1.0-11
- update from git to allow us to use rawhide as the version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Dennis Gilmore <dennis@ausil.us> - 1.0-10
- provide python2-productmd
- remove defattr

* Fri Dec 11 2015 Daniel Mach <dmach@redhat.com> - 1.0-9
- Use v1.0 tarball from github
- Fix spec for el6 (license macro)
- Add dependency on python(3)-six

* Wed Dec 09 2015 Dennis Gilmore <dennis@ausil.us> - 1.0-8.git3b72969
- enable building only on python 2 on epel

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7.git3b72969
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Nov 03 2015 Dennis Gilmore <dennis@ausil.us> - 1.0-6.git3b72969
- update git snapshot
- rebuild for python-3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5.gitec8c627
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 07 2015 Dennis Gilmore <dennis@ausil.us> - 1.0-4.gitec8c627
- update git snapshot to latest git head with fixes for pungi

* Fri Mar 13 2015 Dennis Gilmore <dennis@ausil.us> - 1.0-3.git57efab
- rename to python-productmd

* Wed Mar 11 2015 Dennis Gilmore <dennis@ausil.us> - 1.0-2.git57efab
- update git tarball so we can run tests at build time

* Tue Mar 10 2015 Dennis Gilmore <dennis@ausil.us> - 1.0-1
- Initial packaging
